What's Running Help

What's Running 2.1
This is a program to help you easily find what is actually running on your computer. It presents a number of views which relate to how your computer "thinks" things are running.
If you start with processes, the most basic concept - every program you start (or gets started by you or the operating system) is a process. In the process view you can see all the processes easily.
The services are background tasks which does not have an UI. One process can contain many services.
The modules are actual files with code and other data that a process needs, each process contains of at least one loaded module.
The drivers are drivers loaded by the system to handle hardware and specific system tasks.
And the IP-connections are connections that your program have to send and receive data from other hosts or within your computer.
It can also be used as an enhanced task manager to perform roughly the same tasks as you do with the task manager.
Features
For a more detailed look at the features go here.
Publisher
What's running is developed and published by WhatsRunning.net, Sweden.
License
License details
Feedback
Please give us feedback.
Version History
Detailed version history.


Features
What's running contains the following features.
Processes
Services
Modules
Drivers
IP Connections
Startup programs
System Information
Compatability
What's Running is only tested on Windows XP, Windows 2000 and Windows 2003 server. The user of the program need to have administrator privileges.


Processes
With Whats Running, you can get an instant view on what processes are running right now.
When starting; WR presents you with a list view of all running processes. By selecting one of them you can get further details about the process.


Services
The services list view allows you to see all services that are currently running. By selecting a service in the list you can view all details about the service and by right clicking the service in list you can start and stop the service.


Modules
In the modules view you can see all modules that are loaded for all processes. By selecting one module in the list you can view all known details about the module and you also get a list of all processes that have this module loaded.


IP Connections
On the IP connections tab you can see all IP sockets and connections that currently are connected or open. By selecting one in the list you get a more detailed view of the connection including what process has this open (only available on XP and higher).


System Information
In the system pane you can see a number of parameters about your computer which are collected from various API:s and registry settings.


Publisher
What's running is developed and published by WhatsRunning.net , Sweden.


License
What's running is free for non-commercial use and for commercial use it carries a $25 fee. For commercial use you are granted a 30 day evaluation period from the time of installation. For payment details, go to WhatsRunning.net.
Disclaimer
Use of this program is at your own risk. WhatsRunning.net shall not be reliable for any damage, direct or indirect as caused by using this program.


Feedback
If you have any bugs to report, suggestions or other feedback, don't hesitate to contact christer.fahlgren@whatsrunning.net


Version History
2.0.0 Build 355 2005-02-10
New features:
FEATURE build 2.0.0.355: Popup menu item for processes and modules with "Open folder" option.
FEATURE build 2.0.0.355: Selection of columns for IP-connections and modules.
FEATURE build 2.0.0.355: Start process function.
FEATURE build 2.0.0.355: New XP style taskbar
FEATURE build 2.0.0.355: Delta icons for indicating changes in values.
FEATURE build 2.0.0.355: Driver tab added - showing information about drivers.
FEATURE build 2.0.0.355: Ability to manage Startup programs
FEATURE build 2.0.0.355: XML-file snapshot.
FEATURE build 2.0.0.355: Process priorities
FEATURE build 2.0.0.355: The application icon is displayed (if one assigned)
FEATURE build 2.0.0.355: In the process view you can inspect IP-connections
FEATURE build 2.0.0.355: column selections, order and width saved.
FEATURE build 2.0.0.355: Double click navigation
1.0.1 Build 166 2004-01-15
Bugfix release:
FIXED: System process (0) shows all stopped services as it's own.
FIXED: Strange characters in modules filenames from api.
FIXED: Service State shows wrongly when other sort order selected.
FIXED: Possible to select what service columns to view.
FIXED: Filename for process more distinctively retrieved (Windows 2003 limits available information)
1.0 Build 160 2004-01-10
Fixed division by zero error encountered on certain P4 models. Mostly bugfixes.
1.0 Build 139 2003-12-29
Added logfile for tracking potential startup error. Startup error reported with build 136 fixed with this build.
1.0 Build 136 2003-12-22
Fixed minor error found in Tucows review where helpfile is not showing when launched from start menu.
1.0 Build 134 2003-12-19
Added system information , service control, more detailed service information More IP information. Navigation between panes by double clicking.
1.0 Build 108 2003-11-24
Made the host resolving and file version retrieval threaded, more responsiveness Added GUI, USER and Process IO counters
1.0 Build 93 2003-11-14
Added customisable process column view. Change columns from the main menu.
1.0 Build 82 2003-11-04
Many improvements in speed as well as more consistent UI More counters added


Drivers
The drivers list view allows you to see all drivers that are currently active. By selecting a driver in the list you can view all details about the driver.


Startup programs
The startup programs list view allows you to see all programs that are scheduled to startup when your computer startsup and you log in.